



local function on_init()
	local surface = game.surfaces.nauvis

	for x = -10, 10 do
		for y = -10, 10 do
			local position = {x*32, y*32}
			if not surface.is_chunk_generated({x,y}) then
				surface.request_to_generate_chunks(position, 0)
				surface.force_generate_chunk_requests()
			end
			surface.pollute(position, 10e4)
		end
	end

	local position = {8,0}

	local accumulator = surface.create_entity{
		name = "accumulator",
		position = position,
		force = "player"
	}
	--accumulator.destructible = false
	game.speed = 5

	local even_faster = false
	if even_faster then
		--doesn't seem to help
		game.map_settings.unit_group.max_unit_group_size = 20
		game.map_settings.unit_group.max_group_radius = 2.0
		game.map_settings.unit_group.min_group_radius = 1.0
		game.map_settings.unit_group.max_wait_time_for_late_members = 10*60
		game.map_settings.unit_group.min_group_gathering_time = 10*60
		game.map_settings.unit_group.max_group_gathering_time = 30*60
	end
end

script.on_init(on_init)

script.on_event(defines.events.on_tick, function(event)
	if (event.tick % (5 * 60)) == 0 then
		game.forces.player.chart_all()
	end
end)